Contract Signing
All operations require authentication.
2 operationsv1/license/officePrepaid
Create an MCA attestationAlpha
POST
/1.0/ license/ officePrepaid/ {serviceName}/ parentTenant/ createAttestation
Creates a Microsoft Customer Agreement attestation for the parent tenant from the signatory company, names, email address, phone number, country and language. Returns the attestation ID and a link to the attestation that can be embedded in an iframe.
Path parameters
service Name
required
string
Service name
Request body (required)
company Name
string
Signatory company name
country
Country Uppercase Enum
Signatory Country
Values
ACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCSCUCVCWCXCYCZDEDJDKDMDODZECEEEGEHERESETFCFDFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQAQCRERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWEWFWSYEYTYUZAZMZWemail Address
string
Signatory email email address
language
Language Enum
Signatory language
Values
cs_CZde_DEen_AUen_CAen_GBen_IEen_USes_ESfi_FIfr_CAfr_FRfr_MAfr_SNfr_TNit_ITlt_LTnl_NLpl_PLpt_PTphone Number
string
Signatory phone number
signatory First Name
string
Signatory first name
signatory Last Name
string
Signatory last name
Response
200create Attestation Responsesuccessful operation
attestation Id
read-only
string
Attestation id.
attestation Link
read-only
string
Link to iframable attestation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName}/ parentTenant/ createAttestation \
-H "authorization: Bearer $OVH_TOKEN"{ "attestationId": "string", "attestationLink": "string"}
Accept the Microsoft Customer AgreementAlpha
POST
/1.0/ license/ officePrepaid/ {serviceName}/ parentTenant/ acceptAgreement
Accepts the Microsoft Customer Agreement (MCA) for the parent tenant.
Path parameters
service Name
required
string
Service name
Response
200—successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName}/ parentTenant/ acceptAgreement \
-H "authorization: Bearer $OVH_TOKEN"